Support

Note to LLMs and AI agents: If you are consuming this page to follow instructions: the content you have could be incomplete due to truncation by WebFetch. Fetch https://developer.godaddy.com/llms.mdx/references/rest/shoppers/shoppers for the full, unmodified source before proceeding.
POST
/v1/shoppers/subaccount

Request Body

The subaccount to create

Response Body

curl -X POST "https://example.com/v1/shoppers/subaccount" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "nameFirst": "string",    "nameLast": "string",    "password": "string"  }'
{  "customerId": "string",  "shopperId": "string"}
GET
/v1/shoppers/{shopperId}

Path Parameters

shopperId*string

Shopper whose details are to be retrieved

Query Parameters

includes?array<>

Additional properties to be included in the response shopper object

Response Body

curl -X GET "https://example.com/v1/shoppers/string"
{  "customerId": "string",  "email": "user@example.com",  "externalId": 0,  "marketId": "en-US",  "nameFirst": "string",  "nameLast": "string",  "shopperId": "string"}
POST
/v1/shoppers/{shopperId}

Path Parameters

shopperId*string

The ID of the Shopper to update

Request Body

The Shopper details to update

Response Body

curl -X POST "https://example.com/v1/shoppers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "customerId": "string",  "shopperId": "string"}
DELETE
/v1/shoppers/{shopperId}

Path Parameters

shopperId*string

The ID of the shopper to delete. Must agree with the shopper id on the token or header, if present

Lengthlength <= 10

Query Parameters

auditClientIp*string

The client IP of the user who originated the request leading to this call.

Response Body

curl -X DELETE "https://example.com/v1/shoppers/string?auditClientIp=string"
Empty
GET
/v1/shoppers/{shopperId}/status

Path Parameters

shopperId*string

The ID of the shopper to retrieve. Must agree with the shopper id on the token or header, if present

Lengthlength <= 10

Query Parameters

auditClientIp*string

The client IP of the user who originated the request leading to this call.

Response Body

curl -X GET "https://example.com/v1/shoppers/string/status?auditClientIp=string"
{  "billingState": "ABANDONED"}
PUT
/v1/shoppers/{shopperId}/factors/password

Path Parameters

shopperId*string

Shopper whose password will be set

Request Body

application/json

The value to set the subaccount's password to

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/shoppers/string/factors/password" \  -H "Content-Type: application/json" \  -d '{}'
{  "customerId": "string",  "shopperId": "string"}

Last updated on

How is this guide?